using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SupportClasses
{
	public static class Logger
	{
		public enum Level { fatal, error, warning, info, debug};
		public static Level[] show = { Level.info, Level.warning, Level.debug};
		public static void Add (string msg, Level l = Level.info)
		{
			if (show.Contains(l))
			{
				Console.Write(DateTime.Now.ToString(@"yyyy.MM.dd HH:mm:ss.ff") + "\t");
				Console.WriteLine(msg);
			}
		}
	}
}
